Bug 822046 - Review Request: exfat - Free exFAT file system implementation
Review Request: exfat - Free exFAT file system implementation
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Dan Mashal
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-05-16 03:04 EDT by Vasiliy Glazov
Modified: 2017-01-03 13:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 20:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2012-05-16 03:04:09 EDT
Spec URL:
https://github.com/RussianFedora/fuse-exfat/blob/master/fuse-exfat.spec
https://github.com/RussianFedora/exfat-utils/blob/master/exfat-utils.spec

SRPM URL:
http://koji.russianfedora.ru/packages/fuse-exfat/0.9.7/1.fc17.R/src/fuse-exfat-0.9.7-1.fc17.R.src.rpm
http://koji.russianfedora.ru/packages/exfat-utils/0.9.7/1.fc17.R/src/exfat-utils-0.9.7-1.fc17.R.src.rpm

Description:
This driver is the first free exFAT file system implementation with write
support. exFAT is a simple file system created by Microsoft. It is intended
to replace FAT32 removing some of it's limitations. exFAT is a standard FS
for SDXC memory cards.

I want be maintainer of this package in Fedora. But I need a sponsor.
Comment 1 Ralf Corsepius 2012-05-16 04:01:42 EDT
Please split this review request into 2 separate ones - One per package.
Comment 2 Vasiliy Glazov 2012-05-16 04:10:13 EDT
OK
This for fuse-exfat package - Free exFAT file system implementation.

Spec URL:
https://github.com/RussianFedora/fuse-exfat/blob/master/fuse-exfat.spec

SRPM URL:
http://koji.russianfedora.ru/packages/fuse-exfat/0.9.7/1.fc17.R/src/fuse-exfat-0.9.7-1.fc17.R.src.rpm

Description:
This driver is the first free exFAT file system implementation with write
support. exFAT is a simple file system created by Microsoft. It is intended
to replace FAT32 removing some of it's limitations. exFAT is a standard FS
for SDXC memory cards.

I want be maintainer of this package in Fedora. But I need a sponsor.

Second review request here for exfat-utils https://bugzilla.redhat.com/show_bug.cgi?id=822049
Comment 3 Tom "spot" Callaway 2012-05-16 12:50:00 EDT
Blocking FE-Legal until I can get RH to review this situation.
Comment 4 Vasiliy Glazov 2012-05-17 04:48:05 EDT
I'll wait.
Comment 5 Dan Mashal 2012-05-30 23:53:33 EDT
spot any luck?
Comment 6 Dan Mashal 2012-06-18 05:08:51 EDT
any update on this spot?
Comment 7 Dan Mashal 2012-07-02 10:06:12 EDT
Spoke with spot on IRC, still awaiting RedHat Legal.
Comment 8 Tom "spot" Callaway 2012-07-09 20:41:41 EDT
Upon review, implementations of exfat are not permitted in Fedora. Sorry Dan.
Comment 9 Dan Mashal 2012-07-09 21:15:41 EDT
Thanks for your reply spot.
Comment 10 Vasiliy Glazov 2012-07-10 02:26:38 EDT
Thanks to all.
Comment 11 Adam Goode 2015-10-04 00:17:17 EDT
Is this still forbidden in Fedora?

If so, https://fedoraproject.org/wiki/Forbidden_items should be updated.
Comment 12 Aaron Franke 2016-12-31 15:01:34 EST
What is the reason for why exFAT implementations are not supported? The package itself is free software. Other Microsoft filesystems such as FAT32 and NTFS can and have already been implemented. I don't see why this can't be included.
Comment 13 Tom "spot" Callaway 2017-01-03 13:37:31 EST
(In reply to Aaron Franke from comment #12)
> What is the reason for why exFAT implementations are not supported? The
> package itself is free software. Other Microsoft filesystems such as FAT32
> and NTFS can and have already been implemented. I don't see why this can't
> be included.

Unfortunately, I can't answer that question. I cannot say "this thing right here is the reason", because that potentially exposes Red Hat to additional risk. I know that is frustrating, and I'm sorry.

Note You need to log in before you can comment on or make changes to this bug.